Base
====

.. automodule:: julearn.base
   :no-members:
   :no-inherited-members:

Classes
-------

.. currentmodule:: julearn.base

.. autosummary::
   :nosignatures:
   :toctree: generated/
   :template: class.rst

    JuBaseEstimator
    JuTransformer
    WrapModel
    ColumnTypes
    ColumnTypesLike

Functions
---------

.. currentmodule:: julearn.base

.. autosummary::
   :toctree: generated/
   :template: function.rst

    change_column_type
    get_column_type
    make_type_selector
    ensure_column_types
